Bug 108225 - Crash in: mergedlo.dll
Summary: Crash in: mergedlo.dll
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.5.0 target:5.4.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-05-29 14:32 UTC by Gabor Kelemen
Modified: 2017-05-31 14:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["mergedlo.dll"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-05-29 14:32:15 UTC
This bug was filed from the crash reporting server and is br-cd2918f1-3926-4b33-aa28-b138c5ad9aa3.
=========================================

To reproduce:
- Enable experimental features in 5.4 beta1 Writer
- Open the Track Changes sidebar panel
- Right click on the List area -> crash, and it happens every time.
Comment 1 Telesto 2017-05-29 15:05:50 UTC
Repro with:
Version: 5.5.0.0.alpha0+
Build ID: d57e6cd9dcc96112994ca2b14ac45896e86b26e5
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-05-18_22:43:07
Locale: nl-NL (nl_NL); Calc: CL
Comment 2 Xisco Faulí 2017-05-30 21:29:19 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-02-21 16:25:41 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-02-21 20:27:25 (GMT)
commit	e834354ff3dbf38b1d3834f6980fffaed7b4074c (patch)
tree	17c66763c19119ae58b97646b898fbd4a4aaa587
parent	eb38069490b7eb3ec286cdb0309fc8f49f192843 (diff)
convert writer changes menu to .ui

Bisected with bibisect-linux-64-5.4

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2017-05-31 14:39:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b1f255ac35e06ca7b8cb9b9371bb72f87b4e4695

Resolves: tdf#108225 there are *two* possible .ui files for change tracking

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-05-31 14:40:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=27b2d6795edecd38b24cee5f595ee739e1010c94&h=libreoffice-5-4

Resolves: tdf#108225 there are *two* possible .ui files for change tracking

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.